<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_a5e22fe41a6e4288b56df78f2f278f8" . "f" => base64_decode("cHJldl9wYXJl" . "bnRfaWQ="), "_b2f5a100451164396178c16d" . "2a5c6899" => base64_decode("cHJldl90aXRsZQ" . "=="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0b" . "GU="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_b2f5a10" . "04511643" . "96178c16" . "d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["titl" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a5e22fe41a6e4288b56df78f2f278f" . "8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6e38cb9e043a07cd6" . "9a1711a6704c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}